## chiark-tcl 1.0.0

=== Makefile ===

SUBDIRS=	base adns hbytes cdb crypto
# dgram tuntap

default: all

clean all:
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d $@; done

# To find undefined symbols when implementing, for example:
#
# liberator:cdb> ld /usr/bin/tclsh8.3 ../base/chiark-tcl.so ../hbytes/chiark_tcl_hbytes.so ../cdb/chiark_tcl_cdb.so -ltcl8.3
# ld: warning: cannot find entry symbol _start; defaulting to 00000000080486ac
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbwr_delete'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbwr_lookup_hb'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbwr_open_okjunk'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdb_lookup_hb'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbwr_lookup'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdb_close'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdb_lookup'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbtoplevel_cdb'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbwr_update_hb'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdb_open'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbwr_update'
# ../cdb/chiark_tcl_cdb.so: undefined reference to `cht_do_cdbtoplevel_cdb_wr'
# Segmentation fault
# liberator:cdb>

=== debian/changelog ===
chiark-tcl (1.0.0) unstable; urgency=low

  * Initial release.  Extensions included:  adns cdb crypto hbytes
    (of which cdb and adns will be needed for new SAUCE).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 30 Mar 2006 18:34:51 +0100


# chiark-tcl - various Tcl bindings and extensions
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.

=== debian/control ===
Source: chiark-tcl
Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
Priority: optional
Section: interpreters
Standards-Version: 3.6.2
Build-Depends: libadns1-dev, libnettle-dev, tinycdb, tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 3)

Package: libtcl-chiark-1
Architecture: any
Description: Tcl interfaces for adns, cdb, crypto, etc.
 Tcl bindings for:
  * adns (resolver library)
  * cdb (constant database) plus journalling writeable database
  * crypto: the nettle cryptographic library
  * hbytes: bytestrings with hex as string representation but efficient
 To make sensible use of these you will need a version of Tcl installed
 (this package is compatible with at least Tcl 8.0 to 8.4 inclusive).
 To use the adns, cdb and nettle bindings you need to have the
 appropriate libraries installed too.
Depends: ${shlibs:Depends}


# chiark-tcl - various Tcl bindings and extensions
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.

=== debian/rules ===
#!/usr/bin/make -f

# chiark-tcl - various Tcl bindings and extensions
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.


majversion=1
srcpackage=chiark-tcl
libpackage=libtcl-chiark-$(majversion)
docpackage=libtcl-chiark-$(majversion)
docdir=usr/share/doc/$(docpackage)

define checkdir
	test -f hbytes/hbytes.tct
endef

build:
	$(checkdir)
	$(MAKE) prefix=/usr VERSION=$(majversion)

clean:
	$(checkdir)
	$(MAKE) clean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*
	dh_clean

binary-indep:

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/$(docpackage) debian/$(libpackage)
	install -d debian/$(libpackage)/usr/lib
	install -d debian/$(docpackage)/usr/share/doc/$(docpackage)

	set -e; for f in lintian linda; do				     \
		install -d debian/$(libpackage)/usr/share/$$f/overrides;     \
		cp debian/$$f-overrides 				     \
		 debian/$(libpackage)/usr/share/$$f/overrides/$(libpackage); \
		done

	cp */*.so debian/$(libpackage)/usr/lib/.

	set -e; for f in */*.[ch]; do					\
		perl debian/extractdoc <$$f				\
			debian/$(docpackage)/$(docdir)/ $$f .txt;	\
		done
	cp */*.tct debian/README debian/copyright \
		debian/$(docpackage)/$(docdir)

	dh_installchangelogs
	dh_strip

	dh_shlibdeps

	# be consistent about what we compress:
	dh_compress -X'*.[ch].txt'

	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

## chiark-tcl 1.0.1.1

=== base/Makefile ===
# base code for various Tcl extensions
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.

default:	all

CFILES =	enum hook idtable parse scriptinv tcmdiflib
BASE_DIR =	.

AUTO_HDRS +=	base+tcmdif.h

include common.make

SHLIB =		$(BASE_SHLIB)

base+tcmdif.h:	$(BASE_TCT) $(TCMDIFGEN)
		$(TCMDIFGEN) -wh -o$@ $<

include shlib.make
include final.make

=== cdb/Makefile ===
# cdb, cdb-wr - Tcl bindings for tinycdb and a journalling write extension
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.


BASE_DIR =	../base
EXTBASE =	cdb
CFILES =	readonly writeable lookup
OTHER_TCTS =	../hbytes/hbytes-base.tct
OTHER_EXTS +=	hbytes/hbytes
LDLIBS +=	-lcdb

include ../base/extension.make

# eg, for testing:
# liberator:cdb> LD_LIBRARY_PATH=../base:../hbytes:. tclsh8.3
# % load chiark_tcl_cdb.so
# % cdb
# wrong # args: should be "cdb subcmd ..."
# % cdb open
# wrong # args: should be "cdb open path"
# % 
# liberator:cdb>

=== crypto/Makefile ===
# crypto - Tcl bindings for parts of the `nettle' crypto library
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.


BASE_DIR =	../base
EXTBASE =	crypto
CFILES =	algtables bcmode crypto hook
OTHER_TCTS =	../hbytes/hbytes-base.tct
OTHER_EXTS =	hbytes/hbytes
LDLIBS +=	-lnettle

include ../base/extension.make

=== debian/changelog ===
chiark-tcl (1.0.1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix a printf format for size_t, closes: #393970.
  * Drop a useless assert causing a "comparison always true", closes: #394039.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Fri, 12 Jan 2007 01:10:04 +0100

chiark-tcl (1.0.1) unstable; urgency=low

  New features:
  * adns: Provide txt RRs.
  * dgram: New extension for datagram sockets; dgram-socket command.
  * tuntap: New extension for tun/tap interfaces (currently, tun only).

  Documentation, build and packaging fixes:
  * Correct doc comment for supplying query options to adns asynch.
  * Replace #include <tcl8.3/tcl.h> with <tcl.h> and in build system find
    Tcl version and pass appropriate -I option.  Closes: #362806.
  * Declare versioned build-dependency on libadns1-dev >= 1.2
    since we need adns_init_logfn.  Closes: #382287.
  * Declare build-dependency on libcdb-dev | tinycdb (<= 0.75)
    since cdb.h etc. is in libcdb-dev off nowadays.  Closes: #387904.
  * Pass -Wno-strict-aliasing.  The compiler is wrong.
  * Do not run dpkg-shlibdeps on adns and nettle plugins.
    This prevents them turning up in Depends - see the README.
  * Use correct syntax for avoiding compressing doc/*/*.[ch].txt.
  * Use correct variable name for cht_adnstcl_{queries,resolvers}
    everywhere (prevents coredump accessing uninitialised version).
  
  Internal changes:
  * New way of doing toplevels with tcmdifgen dispatch() primitive.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 18 Oct 2006 17:05:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Section: interpreters
 Standards-Version: 3.6.2
-Build-Depends: libadns1-dev, libnettle-dev, tinycdb, tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 3)
+Build-Depends: libadns1-dev (>= 1.2), libnettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 3)
 
 Package: libtcl-chiark-1
 Architecture: any
@@ -15,7 +15,7 @@
   * hbytes: bytestrings with hex as string representation but efficient
  To make sensible use of these you will need a version of Tcl installed
  (this package is compatible with at least Tcl 8.0 to 8.4 inclusive).
- To use the adns, cdb and nettle bindings you need to have the
+ To use the adns and nettle bindings you need to have the
  appropriate libraries installed too.
 Depends: ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,16 @@
 docpackage=libtcl-chiark-$(majversion)
 docdir=usr/share/doc/$(docpackage)
 
+tclh:=$(firstword $(wildcard /usr/include/tcl8.*/tcl.h))
+tclversion:=$(patsubst /usr/include/tcl%/tcl.h,%,$(tclh))
+
 define checkdir
 	test -f hbytes/hbytes.tct
 endef
 
 build:
 	$(checkdir)
-	$(MAKE) prefix=/usr VERSION=$(majversion)
+	$(MAKE) prefix=/usr VERSION=$(majversion) TCL_VERSION=$(tclversion)
 
 clean:
 	$(checkdir)
@@ -65,10 +68,10 @@
 	dh_installchangelogs
 	dh_strip
 
-	dh_shlibdeps
+	dh_shlibdeps -Xchiark_tcl_adns -Xchiark_tcl_crypto
 
 	# be consistent about what we compress:
-	dh_compress -X'*.[ch].txt'
+	dh_compress -X.c.txt -X.h.txt
 
 	dh_fixperms
 	dh_gencontrol

## chiark-tcl 1.1.0

=== debian/changelog ===
chiark-tcl (1.1.0) unstable; urgency=high

  New features:
  * hbcrypto hash-{init,update,final} etc. for incremental hashing.

  Bugfixes:
  * Do not adns_cancel in the middle of adns_forallqueries.
  * cdb: When cdbwr update writerecord fails, try to recover the
    situation to sanity so we don't corrupt the log later; if this
    fails, mark the cdb broken.
  * strlen returns size_t, not int; fixed up everywhere relevant.
    Closes #393970.  (Bug exists only where int and ssize_t differ.)
  * Use correct errno value for error writing to new .main during compact.
  * Do not coredump if fclose journal fails during compact.
  * Do not fail lookups on cdb-wr's opened from just-created dbs.
  * Do not leak cdb innards on compact.

  Portability fixes:
  * Remove unecessary assertion of val<=0xffffffffUL where uint32_t val;
    Closes: #394039 (FTBFS due to unhelpful GCC warning).
  * Use -fno-strict-aliasing because gcc-4.3 apparently ignores
    -Wno-strict-aliasing!  Closes: #471004.

  Internal improvements:
  * Add a few assertions about *_LLEN in adns.c.
  * Comprehensive review of use of `int' and defence against overflow.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Fri, 20 Jun 2008 22:50:25 +0100

## chiark-tcl 1.1.0ubuntu1

=== debian/changelog ===
chiark-tcl (1.1.0ubuntu1) intrepid; urgency=low

  * Fix FBTFS by including limits.h.
    Add it to base/chiark-tcl.h as this seems to included in all source files
    needing INT_MAX.
  * debian/control:
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 08 Jul 2008 17:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: chiark-tcl
-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Priority: optional
 Section: interpreters
 Standards-Version: 3.6.2

## chiark-tcl 1.1.0+nmu2

=== debian/changelog ===
chiark-tcl (1.1.0+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: add invocation of dh_makeshlibs and dh_installdeb, so
    that ldconfig is invoked in postinst (Closes: #553122)
  * debian/control: replace libnettle-dev by nettle-dev (which replaces
    the former) in build-dependencies

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Nov 2009 09:09:57 +0100

chiark-tcl (1.1.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3 by adding <limits.h> include to
    base/chiark-tcl.h as suggested by Michael Bienia (Closes: #489901).
  * Set urgency to “medium” as this bug affects testing too.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jul 2009 18:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: chiark-tcl
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Priority: optional
 Section: interpreters
 Standards-Version: 3.6.2
-Build-Depends: libadns1-dev (>= 1.2), libnettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 3)
+Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 3)
 
 Package: libtcl-chiark-1
 Architecture: any

## chiark-tcl 1.1.0+nmu2ubuntu1

=== crypto/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 BASE_DIR =	../base
 EXTBASE =	crypto
-CFILES =	algtables bcmode crypto hook
+CFILES =	algtables bcmode crypto hook hash
 OTHER_TCTS =	../hbytes/hbytes-base.tct
 OTHER_EXTS =	hbytes/hbytes
 LDLIBS +=	-lnettle

=== dgram/Makefile ===
# dgram - Tcl extension for udp datagrams
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.


BASE_DIR =	../base
EXTBASE =	dgram
CFILES =	dgram misc sockaddr hook
OTHER_TCTS =	../hbytes/hbytes-base.tct
OTHER_EXTS =	hbytes/hbytes

include ../base/extension.make

=== hbytes/Makefile ===
# hbytes - hex-stringrep efficient byteblocks for Tcl
# Copyright 2006 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.


BASE_DIR =	../base
EXTBASE =	hbytes
CFILES =	chop hbytes hook parse ulongs
OTHER_TCTS =	hbytes-base.tct

include ../base/extension.make

=== debian/changelog ===
chiark-tcl (1.1.0+nmu2ubuntu1) oneiric; urgency=low

  * Apply patch from Peter Green in BTS 625319 to resolve FTBFS
    with gcc-4.6. (Closes: #625319) (LP: #831264)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 28 Aug 2011 18:45:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: chiark-tcl
-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
 Priority: optional
 Section: interpreters
 Standards-Version: 3.6.2

=== debian/rules ===
--- 
+++ 
@@ -68,12 +68,14 @@
 	dh_installchangelogs
 	dh_strip
 
+	dh_makeshlibs
 	dh_shlibdeps -Xchiark_tcl_adns -Xchiark_tcl_crypto
 
 	# be consistent about what we compress:
 	dh_compress -X.c.txt -X.h.txt
 
 	dh_fixperms
+	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## chiark-tcl 1.1.0+nmu3

=== debian/changelog ===
chiark-tcl (1.1.0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with gcc-4.6 -Werror": add patch from peter green (removes some
    unuses variables).
    Closes: #625319, LP: #831264

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Dec 2011 17:07:00 +0100

## chiark-tcl 1.1.1

=== debian/changelog ===
chiark-tcl (1.1.1) unstable; urgency=low

  Bugfix:
  * Handling of errors reading /dev/urandom fixed.

  User-visible change:
  * Mention dgram, tuntap and maskmap in Description.  Fix typo.

  Build improvements:
  * Fix FTBFS in sid due to warning from recent versions of gcc
    about set but not used variables.
  * Update default TCL_VERSION for upstream build to 8.4.

  Packaging improvements:
  * Remove the pointless copyright notice from the end of the changelog.
  * Add ${misc:Depends} to Depends field (has no effect on the .deb).
  * Provide build-arch and build-indep targets.
  * Suppress lintian warning about package-name-doesnt-match-sonames.
  * Remove lintian override for non-PIC cdb, due to tinycdb not having
    PIC code in it.  This is now fixed in libcdb-dev.
  * Remove linda overrides.
  * Add a .gitignore.
  * Update debian/compat to 5.  No changes needed.
  * Update Standards-Version.  No changes needed.
  * Update Copyright dates.
  * Remove FSF street address from copyright notices.
  * Change my email address.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 02 Jun 2012 14:20:35 +0100

=== debian/control ===
Source: chiark-tcl
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Priority: optional
Section: interpreters
Standards-Version: 3.9.1
Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 5)

Package: libtcl-chiark-1
Architecture: any
Description: Tcl interfaces for adns, cdb, crypto, etc.
 Tcl bindings for:
  * adns (resolver library)
  * cdb (constant database) plus journalling writable database
  * crypto: the nettle cryptographic library
  * hbytes: bytestrings with hex as string representation but efficient
  * dgram: datagram sockets
  * tuntap: tun/tap interfaces
  * maskmap: address masks and maps
 To make sensible use of these you will need a version of Tcl installed
 (this package is compatible with at least Tcl 8.0 to 8.4 inclusive).
 To use the adns and nettle bindings you need to have the
 appropriate libraries installed too.
Depends: ${shlibs:Depends}, ${misc:Depends}


# chiark-tcl - various Tcl bindings and extensions
# Copyright 2006-2012 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, see <http://www.gnu.org/licenses/>.

## chiark-tcl 1.1.1+nmu1

=== Makefile ===

SUBDIRS=	base adns hbytes cdb crypto dgram tuntap

default: all

clean all:
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d $@; done

# To find undefined symbols when implementing, for example:
#
# liberator:chiark-tcl> LD_LIBRARY_PATH=:adns:base:cdb:crypto:dgram:hbytes:tuntap tclsh8.3
# % load chiark_tcl_tuntap-1.so
# couldn't load file "chiark_tcl_tuntap-1.so": tuntap/chiark_tcl_tuntap-1.so: undefined symbol: cht_tunsocket_entries
# %

=== debian/changelog ===
chiark-tcl (1.1.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Build against the default Tcl version instead of deprecated 8.4
    (closes: #725248).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Oct 2013 21:12:46 +0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Section: interpreters
 Standards-Version: 3.9.1
-Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 5)
+Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl-dev | tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 5)
 
 Package: libtcl-chiark-1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # chiark-tcl - various Tcl bindings and extensions
-# Copyright 2006 Ian Jackson
+# Copyright 2006-2012 Ian Jackson
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -14,9 +14,7 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this library; if not, see <http://www.gnu.org/licenses/>.
 
 
 majversion=1
@@ -32,9 +30,12 @@
 	test -f hbytes/hbytes.tct
 endef
 
-build:
+build: build-arch build-indep
+build-arch:
 	$(checkdir)
 	$(MAKE) prefix=/usr VERSION=$(majversion) TCL_VERSION=$(tclversion)
+
+build-indep:
 
 clean:
 	$(checkdir)
@@ -50,7 +51,7 @@
 	install -d debian/$(libpackage)/usr/lib
 	install -d debian/$(docpackage)/usr/share/doc/$(docpackage)
 
-	set -e; for f in lintian linda; do				     \
+	set -e; for f in lintian; do					     \
 		install -d debian/$(libpackage)/usr/share/$$f/overrides;     \
 		cp debian/$$f-overrides 				     \
 		 debian/$(libpackage)/usr/share/$$f/overrides/$(libpackage); \

## chiark-tcl 1.1.2

=== debian/changelog ===
chiark-tcl (1.1.2) unstable; urgency=low

  * tuntap: Use <net/if.h> not <linux/if.h>.  Closes:#768766.  (FTBFS)
  * Build-Depends: move tcl-dev to the end, so that we prefer tcl8.4-dev.
    This is necessary because we want to build against tcl8.4 in jessie
    to avoid requiring a newer Tcl ABI.
  * Reintroduce .gitignore which a build tool brokenly deleted.
  * Remove .cvsignore files from git repo.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 09 Nov 2014 12:44:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Section: interpreters
 Standards-Version: 3.9.1
-Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl-dev | tcl8.4-dev | tcl8.3-dev | tcl8.2-dev, debhelper (>= 5)
+Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev | tcl-dev, debhelper (>= 5)
 
 Package: libtcl-chiark-1
 Architecture: any

## chiark-tcl 1.1.3

=== adns/Makefile ===
BASE_DIR =	../base
EXTBASE =	adns
CFILES =	adns
LDLIBS +=	-ladns

include ../base/extension.make

=== debian/changelog ===
chiark-tcl (1.1.3) unstable; urgency=low

  * Build-Depends: Add tcl8.5-dev to the front of the list of
    possibilities.  Current Tcl packages do not provide tcl-dev, and no
    earlier version than 8.5 is, in fact, in jessie (8.4 was removed in
    April 2014).  Closes:#775635.  (FTBFS)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 22 Jan 2015 19:00:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Section: interpreters
 Standards-Version: 3.9.1
-Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.4-dev | tcl8.3-dev | tcl8.2-dev | tcl-dev, debhelper (>= 5)
+Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.5-dev | tcl8.4-dev | tcl8.3-dev | tcl8.2-dev | tcl-dev, debhelper (>= 5)
 
 Package: libtcl-chiark-1
 Architecture: any

## chiark-tcl 1.2.0

=== debian/changelog ===
chiark-tcl (1.2.0) unstable; urgency=medium

  * wiringpi module.  Built only if the wiringpi headers are actually
    installed (so not in the official Debian release).
  * Update .gitignore for recent debhelper droppings.
  * Do not build tuntap on non-Linux platforms.  Ideally this would
    be replaced with similar functionality elsewhere, but for now
    this change fixes the FTBFS on Debian hurd-* and kfreebsd-*.
  * Update build-dependencies to permit tcl8.6.  Closes:#818475.
  * Replace ad-hocery with use of offsetof/typeof.  Closes:#812718.
  * Honour dpkg-architecture's DEB_HOST_GNU_TYPE, to fix cross-building.
  * Multiarch: Move .so's to triplet paths, and declare M-A: same.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 24 Jan 2017 14:32:11 +0000

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,17 @@
 tclh:=$(firstword $(wildcard /usr/include/tcl8.*/tcl.h))
 tclversion:=$(patsubst /usr/include/tcl%/tcl.h,%,$(tclh))
 
+garch := $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
+ifneq ($(garch),)
+
+libsubdir = /$(garch)
+
+ifeq ($(origin CC),default)
+export CC=$(garch)-gcc
+endif
+
+endif # $garch
+
 define checkdir
 	test -f hbytes/hbytes.tct
 endef
@@ -48,7 +59,7 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/$(docpackage) debian/$(libpackage)
-	install -d debian/$(libpackage)/usr/lib
+	install -d debian/$(libpackage)/usr/lib$(libsubdir)
 	install -d debian/$(docpackage)/usr/share/doc/$(docpackage)
 
 	set -e; for f in lintian; do					     \
@@ -57,7 +68,7 @@
 		 debian/$(libpackage)/usr/share/$$f/overrides/$(libpackage); \
 		done
 
-	cp */*.so debian/$(libpackage)/usr/lib/.
+	cp */*.so debian/$(libpackage)/usr/lib$(libsubdir)/.
 
 	set -e; for f in */*.[ch]; do					\
 		perl debian/extractdoc <$$f				\

## chiark-tcl 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
 
-SUBDIRS=	base adns hbytes cdb crypto dgram tuntap
+SUBDIRS=	base adns hbytes cdb crypto dgram
+
+ifneq ($(wildcard /usr/include/linux/if_tun.h),)
+SUBDIRS+=	tuntap
+endif
+
+ifneq ($(wildcard /usr/include/wiringPi.h /usr/include/arm-*/wiringPi.h),)
+SUBDIRS+=	wiringpi
+endif
 
 default: all

=== base/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # base code for various Tcl extensions
-# Copyright 2006 Ian Jackson
+# Copyright 2006-2012 Ian Jackson
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -12,9 +12,7 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this library; if not, see <http://www.gnu.org/licenses/>.
 
 default:	all

=== wiringpi/Makefile ===
BASE_DIR =	../base
EXTBASE =	wiringpi
CFILES =	wiringpi
LDLIBS +=	-lwiringPi

include ../base/extension.make

=== debian/changelog ===
chiark-tcl (1.2.1) unstable; urgency=high

  * Multiarch: Use correct M-A triplet (DEB_HOST_MULTIARCH) for
    libsubdir.  Closes:#856526.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 19 Mar 2017 09:22:48 +0000

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,11 @@
 tclh:=$(firstword $(wildcard /usr/include/tcl8.*/tcl.h))
 tclversion:=$(patsubst /usr/include/tcl%/tcl.h,%,$(tclh))
 
+march := $(shell dpkg-architecture -q DEB_HOST_MULTIARCH)
+libsubdir = /$(march)
+
 garch := $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
 ifneq ($(garch),)
-
-libsubdir = /$(garch)
 
 ifeq ($(origin CC),default)
 export CC=$(garch)-gcc

## chiark-tcl 1.3.1

=== debian/changelog ===
chiark-tcl (1.3.1) unstable; urgency=medium

  * autopkgtests: Drop tcl8.7 which is only in experimental now.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 19 Aug 2018 12:16:24 +0100

chiark-tcl (1.3.0) unstable; urgency=medium

  adns:
  * Fix IPv6 PTR (reverse) lookups, and compilation with GCC-8.
    Closes:#891544.

  dgram:
  * Provide `dgram-socket sockname S'.  Closes:#865451.

  tcmdifgen:
  * Turn on warnings and `use strict' and fix everything.
  * Replace deprecated `use IO;' with `use IO::File'.

  Makefiles and build system:
  * Provide autopkgtests.
  * Refer to $(BASE_DIR) rather than ../base/, making out-of-tree
    extentions a bit easier.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 19 Aug 2018 00:21:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 
 tclh:=$(firstword $(wildcard /usr/include/tcl8.*/tcl.h))
 tclversion:=$(patsubst /usr/include/tcl%/tcl.h,%,$(tclh))
+
+tcl_versions= 8.5 8.6
 
 march := $(shell dpkg-architecture -q DEB_HOST_MULTIARCH)
 libsubdir = /$(march)
@@ -104,4 +106,8 @@
 	$(checkdir)
 	dh_testroot
 
+debian/tests/control: debian/regenerate-autopkgtests debian/rules
+	$(MAKE) debian-substvars
+	$< $(tcl_versions)
+
 .PHONY: binary binary-arch binary-indep clean checkroot

=== debian/tests/control ===
Tests: adns--def
Depends: tcl, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1

Tests: adns--8.5
Depends: tcl8.5, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1

Tests: adns--8.6
Depends: tcl8.6, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1

Tests: cdb--def
Depends: tcl, libc6 (>= 2.14), libcdb1, libtcl-chiark-1

Tests: cdb--8.5
Depends: tcl8.5, libc6 (>= 2.14), libcdb1, libtcl-chiark-1

Tests: cdb--8.6
Depends: tcl8.6, libc6 (>= 2.14), libcdb1, libtcl-chiark-1

Tests: crypto--def
Depends: tcl, libc6 (>= 2.14), libnettle6, libtcl-chiark-1

Tests: crypto--8.5
Depends: tcl8.5, libc6 (>= 2.14), libnettle6, libtcl-chiark-1

Tests: crypto--8.6
Depends: tcl8.6, libc6 (>= 2.14), libnettle6, libtcl-chiark-1

Tests: dgram--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1

Tests: dgram--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1

Tests: dgram--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1

Tests: hbytes--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1

Tests: hbytes--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1

Tests: hbytes--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1

Tests: tuntap--def
Depends: tcl, libc6 (>= 2.2.5), libtcl-chiark-1

Tests: tuntap--8.5
Depends: tcl8.5, libc6 (>= 2.2.5), libtcl-chiark-1

Tests: tuntap--8.6
Depends: tcl8.6, libc6 (>= 2.2.5), libtcl-chiark-1

## chiark-tcl 1.3.2

=== debian/changelog ===
chiark-tcl (1.3.2) unstable; urgency=medium

  * changelog: start 1.3.2
  * testing: Add skip-not-installable restriction to vsn-specific tests
  * testing: Add tcl 8.7 to list of versions for testing

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 14 Oct 2018 01:33:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 tclh:=$(firstword $(wildcard /usr/include/tcl8.*/tcl.h))
 tclversion:=$(patsubst /usr/include/tcl%/tcl.h,%,$(tclh))
 
-tcl_versions= 8.5 8.6
+tcl_versions= 8.5 8.6 8.7
 
 march := $(shell dpkg-architecture -q DEB_HOST_MULTIARCH)
 libsubdir = /$(march)

=== debian/tests/control ===
Tests: adns--def
Depends: tcl, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1

Tests: adns--8.5
Depends: tcl8.5, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: adns--8.6
Depends: tcl8.6, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: adns--8.7
Depends: tcl8.7, libadns1 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: cdb--def
Depends: tcl, libc6 (>= 2.14), libcdb1, libtcl-chiark-1

Tests: cdb--8.5
Depends: tcl8.5, libc6 (>= 2.14), libcdb1, libtcl-chiark-1
Restrictions: skip-not-installable

Tests: cdb--8.6
Depends: tcl8.6, libc6 (>= 2.14), libcdb1, libtcl-chiark-1
Restrictions: skip-not-installable

Tests: cdb--8.7
Depends: tcl8.7, libc6 (>= 2.14), libcdb1, libtcl-chiark-1
Restrictions: skip-not-installable

Tests: crypto--def
Depends: tcl, libc6 (>= 2.14), libnettle6, libtcl-chiark-1

Tests: crypto--8.5
Depends: tcl8.5, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
Restrictions: skip-not-installable

Tests: crypto--8.6
Depends: tcl8.6, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
Restrictions: skip-not-installable

Tests: crypto--8.7
Depends: tcl8.7, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
Restrictions: skip-not-installable

Tests: dgram--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1

Tests: dgram--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: dgram--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: dgram--8.7
Depends: tcl8.7, libc6 (>= 2.14), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: hbytes--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1

Tests: hbytes--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: hbytes--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: hbytes--8.7
Depends: tcl8.7, libc6 (>= 2.14), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: tuntap--def
Depends: tcl, libc6 (>= 2.2.5), libtcl-chiark-1

Tests: tuntap--8.5
Depends: tcl8.5, libc6 (>= 2.2.5), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: tuntap--8.6
Depends: tcl8.6, libc6 (>= 2.2.5), libtcl-chiark-1
Restrictions: skip-not-installable

Tests: tuntap--8.7
Depends: tcl8.7, libc6 (>= 2.2.5), libtcl-chiark-1
Restrictions: skip-not-installable

## chiark-tcl 1.3.2ubuntu1

=== debian/changelog ===
chiark-tcl (1.3.2ubuntu1) focal; urgency=medium

  * Rebuild chiark_tcl_crypto-1.so with libnettle7.
  * Bump autopkgtest deps to libnettle7.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 06 Dec 2019 17:11:14 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -29,18 +29,18 @@
 Restrictions: skip-not-installable
 
 Tests: crypto--def
-Depends: tcl, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
+Depends: tcl, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
 
 Tests: crypto--8.5
-Depends: tcl8.5, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
+Depends: tcl8.5, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
 Restrictions: skip-not-installable
 
 Tests: crypto--8.6
-Depends: tcl8.6, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
+Depends: tcl8.6, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
 Restrictions: skip-not-installable
 
 Tests: crypto--8.7
-Depends: tcl8.7, libc6 (>= 2.14), libnettle6, libtcl-chiark-1
+Depends: tcl8.7, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
 Restrictions: skip-not-installable
 
 Tests: dgram--def

## chiark-tcl 1.3.4

=== base/Makefile ===
--- 
+++ 
@@ -28,5 +28,7 @@
 base+tcmdif.h:	$(BASE_TCT) $(TCMDIFGEN)
 		$(TCMDIFGEN) -wh -o$@ $<
 
+debian-substvars: all
+
 include shlib.make
 include final.make

=== debian/changelog ===
chiark-tcl (1.3.4) unstable; urgency=medium

  * debian/tests/control: Update to libnettle8.  Fixes DEP-8 failure.
    (Reran debian/rules debian/tests/control.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 17 Aug 2020 18:09:07 +0100

chiark-tcl (1.3.3) unstable; urgency=medium

  * hbytes.h: Add a missing `extern' on a data declaration.
    Fixes GCC-10 FTBFS.  Closes:957087.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 17 Aug 2020 14:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Section: interpreters
 Standards-Version: 3.9.1
-Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.5-dev | tcl8.4-dev | tcl8.3-dev | tcl8.2-dev | tcl-dev, debhelper (>= 5)
+Build-Depends: libadns1-dev (>= 1.2), nettle-dev, libcdb-dev | tinycdb (<= 0.75), tcl8.6-dev | tcl8.5-dev | tcl8.4-dev | tcl8.3-dev | tcl8.2-dev | tcl-dev, debhelper (>= 5)
 
 Package: libtcl-chiark-1
 Architecture: any
@@ -21,6 +21,7 @@
  To use the adns and nettle bindings you need to have the
  appropriate libraries installed too.
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-arch: same
 
 
 # chiark-tcl - various Tcl bindings and extensions

## chiark-tcl 1.3.4ubuntu1

=== debian/changelog ===
chiark-tcl (1.3.4ubuntu1) groovy; urgency=medium

  * Initialize some variables on crypto.c to make -Werror=maybe-uninitialized
    stop erroring out on s390x with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Aug 2020 08:44:23 +0200

## chiark-tcl 1.3.4ubuntu2

=== debian/changelog ===
chiark-tcl (1.3.4ubuntu2) groovy; urgency=medium

  * Initialize some variables on crypto.c to make -Werror=maybe-uninitialized
    stop erroring out on s390x with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Aug 2020 08:44:23 +0200

## chiark-tcl 1.3.4ubuntu3

=== debian/changelog ===
chiark-tcl (1.3.4ubuntu3) groovy; urgency=medium

  * Update with proposed patch on bug #968734

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 13:09:22 +0200

## chiark-tcl 1.3.5

=== hbytes/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # hbytes - hex-stringrep efficient byteblocks for Tcl
-# Copyright 2006 Ian Jackson
+# Copyright 2006-2012 Ian Jackson
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -12,9 +12,7 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this library; if not, see <http://www.gnu.org/licenses/>.
 
 
 BASE_DIR =	../base

=== debian/changelog ===
chiark-tcl (1.3.5) unstable; urgency=medium

  * blockcipher_prep: Initialise parameters to placate gcc.  Closes:#968734.
  * debhelper: bump compat to 12.  Closes:#965452.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 23 Dec 2021 13:26:53 +0000

## chiark-tcl 1.3.5build1

=== dgram/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # dgram - Tcl extension for udp datagrams
-# Copyright 2006 Ian Jackson
+# Copyright 2006-2012 Ian Jackson
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -12,9 +12,7 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this library; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this library; if not, see <http://www.gnu.org/licenses/>.
 
 
 BASE_DIR =	../base

=== debian/changelog ===
chiark-tcl (1.3.5build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:43:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: chiark-tcl
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Priority: optional
 Section: interpreters
 Standards-Version: 3.9.1

=== debian/tests/control ===
--- 
+++ 
@@ -29,18 +29,18 @@
 Restrictions: skip-not-installable
 
 Tests: crypto--def
-Depends: tcl, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
+Depends: tcl, libc6 (>= 2.14), libnettle8, libtcl-chiark-1
 
 Tests: crypto--8.5
-Depends: tcl8.5, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
+Depends: tcl8.5, libc6 (>= 2.14), libnettle8, libtcl-chiark-1
 Restrictions: skip-not-installable
 
 Tests: crypto--8.6
-Depends: tcl8.6, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
+Depends: tcl8.6, libc6 (>= 2.14), libnettle8, libtcl-chiark-1
 Restrictions: skip-not-installable
 
 Tests: crypto--8.7
-Depends: tcl8.7, libc6 (>= 2.14), libnettle7, libtcl-chiark-1
+Depends: tcl8.7, libc6 (>= 2.14), libnettle8, libtcl-chiark-1
 Restrictions: skip-not-installable
 
 Tests: dgram--def

## chiark-tcl 1.3.6

=== debian/changelog ===
chiark-tcl (1.3.6) unstable; urgency=medium

  * adns: Support `aaaa` lookups and returning INET6 from `addr`.
  * Improvemenets to testing.
  * Debian autopkgtests: Update library triggers/dependencyes for time64.
  * Debian: set source format to 3.0 (native).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 24 May 2025 19:49:51 +0100

=== debian/tests/control ===
Tests: adns--def
Depends: tcl, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet

Tests: adns--8.5
Depends: tcl8.5, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet skip-not-installable

Tests: adns--8.6
Depends: tcl8.6, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet skip-not-installable

Tests: adns--8.7
Depends: tcl8.7, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet skip-not-installable

Tests: cdb--def
Depends: tcl, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: cdb--8.5
Depends: tcl8.5, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: cdb--8.6
Depends: tcl8.6, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: cdb--8.7
Depends: tcl8.7, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: crypto--def
Depends: tcl, libc6 (>= 2.14), libnettle8t64, libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: crypto--8.5
Depends: tcl8.5, libc6 (>= 2.14), libnettle8t64, libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: crypto--8.6
Depends: tcl8.6, libc6 (>= 2.14), libnettle8t64, libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: crypto--8.7
Depends: tcl8.7, libc6 (>= 2.14), libnettle8t64, libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: dgram--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: dgram--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: dgram--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: dgram--8.7
Depends: tcl8.7, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: hbytes--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: hbytes--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: hbytes--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: hbytes--8.7
Depends: tcl8.7, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: tuntap--def
Depends: tcl, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: tuntap--8.5
Depends: tcl8.5, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: tuntap--8.6
Depends: tcl8.6, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: tuntap--8.7
Depends: tcl8.7, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable
